package org.wfc.user.api;

import org.wfc.user.api.omada.domain.dto.ClientRateLimitSettingDto;

/**
 * @description: API接口
 * @author: cyc
 * @since: 2024-12-30
 */
public interface IWifiApi {

    boolean authClient(String siteId, String clientMac);

    boolean cancelAuthClient(String siteId, String clientMac);

    boolean reconnectClient(String siteId, String clientMac);

    boolean updateClientRateLimitSetting(String siteId, String clientMac, ClientRateLimitSettingDto settingDto);

}
